<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 2. Candidature de responsable Debian</title>
    <link rel="stylesheet" type="text/css" href="developers-reference.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.html" title="Référence du développeur Debian"/>
    <link rel="up" href="index.html" title="Référence du développeur Debian"/>
    <link rel="prev" href="ch01.html" title="Chapitre 1. Portée de ce document"/>
    <link rel="next" href="ch03.html" title="Chapitre 3. Devoirs du développeur Debian"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 2. Candidature de responsable Debian</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="ch01.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="ch03.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="new-maintainer"/>Chapitre 2. Candidature de responsable Debian</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="ch02.html#getting-started">2.1. Entrée en matière</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch02.html#mentors">2.2. Mentors et parrains Debian</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="ch02.html#registering">2.3. Enregistrement comme responsable Debian</a>
            </span>
          </dt>
        </dl>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="getting-started"/>2.1. Entrée en matière</h2>
            </div>
          </div>
        </div>
        <p>
Vous avez lu toute la documentation, vous avez examiné le <a class="ulink" href="https://www.debian.org/doc/maint-guide/">guide du nouveau responsable</a>, vous
comprenez l'intérêt de tout ce qui se trouve dans le paquet d'exemple
<code class="systemitem">hello</code> et vous vous apprêtez à
empaqueter votre logiciel préféré. Comment devenir responsable Debian et
intégrer votre travail au projet ?
</p>
        <p>
Si vous ne l'avez pas encore fait, commencez par vous inscrire à la liste
<code class="email">&lt;<a class="email" href="mailto:debian-devel@lists.debian.org">debian-devel@lists.debian.org</a>&gt;</code>. Pour cela, envoyez un courrier à
<code class="email">&lt;<a class="email" href="mailto:debian-devel-REQUEST@lists.debian.org">debian-devel-REQUEST@lists.debian.org</a>&gt;</code> avec le mot <code class="literal">subscribe</code> en objet
(champ <code class="literal">Subject</code>) de message. En cas de problème, contactez
l'administrateur de la liste <code class="email">&lt;<a class="email" href="mailto:listmaster@lists.debian.org">listmaster@lists.debian.org</a>&gt;</code>. Vous trouverez plus
d'informations en <a class="xref" href="ch04.html#mailing-lists" title="4.1. Listes de diffusion">Section 4.1, « Listes de diffusion »</a>. <code class="email">&lt;<a class="email" href="mailto:debian-devel-announce@lists.debian.org">debian-devel-announce@lists.debian.org</a>&gt;</code> est une autre liste
incontournable pour suivre les développements de Debian.
</p>
        <p>
Vous devriez suivre les discussions de cette liste (sans poster) pendant
quelque temps avant de coder quoi que ce soit et vous informerez la liste de
votre intention de travailler sur quelque chose pour éviter de dupliquer le
travail d'un autre.
</p>
        <p>
Une autre liste intéressante est <code class="email">&lt;<a class="email" href="mailto:debian-mentors@lists.debian.org">debian-mentors@lists.debian.org</a>&gt;</code>. Voir <a class="xref" href="ch02.html#mentors" title="2.2. Mentors et parrains Debian">Section 2.2, « Mentors et parrains Debian »</a> pour les détails. Le canal IRC
<code class="literal">#debian</code> pourra aussi être utile ; voir <a class="xref" href="ch04.html#irc-channels" title="4.2. Canaux IRC">Section 4.2, « Canaux IRC »</a>.
</p>
        <p>
Une fois choisie une façon de contribuer au projet Debian, vous
devriez entrer en contact avec les responsables Debian qui travaillent sur
des tâches similaires. Ainsi, vous pourrez apprendre auprès de personnes
expérimentées. Si, par exemple, vous voulez empaqueter des logiciels
existants, trouvez-vous un parrain. Un parrain est une personne qui
travaillera sur vos paquets avec vous et les enverra dans l'archive Debian
une fois satisfait de l'empaquetage. Pour trouver un parrain, envoyez une
demande de parrainage à la liste <code class="email">&lt;<a class="email" href="mailto:debian-mentors@lists.debian.org">debian-mentors@lists.debian.org</a>&gt;</code> en vous présentant
et en décrivant votre paquet (voir <a class="xref" href="ch07.html#sponsoring" title="7.5.1. Parrainage de paquets">Section 7.5.1, « Parrainage de paquets »</a> et <a class="ulink" href="https://wiki.debian.org/DebianMentorsFaq">https://wiki.debian.org/DebianMentorsFaq</a> pour en savoir plus sur le sujet). Si vous
préférez porter Debian sur une architecture ou un noyau alternatif,
abonnez-vous aux listes dédiées au portage et demandez-y comment
démarrer. Finalement, si vous êtes intéressé par la documentation ou
l'assurance qualité (<code class="literal">QA</code>), contactez les responsables qui
travaillent déjà sur ces tâches et proposez des correctifs et des
améliorations.
</p>
        <p>
Évitez d'avoir la partie locale de votre adresse électronique trop
générique : des termes comme mail, admin, root, master ou debian devraient
être évités. Veuillez consulter <a class="ulink" href="https://www.debian.org/MailingLists/">https://www.debian.org/MailingLists/</a>
pour plus de détails.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="mentors"/>2.2. Mentors et parrains Debian</h2>
            </div>
          </div>
        </div>
        <p>
La liste de diffusion <code class="email">&lt;<a class="email" href="mailto:debian-mentors@lists.debian.org">debian-mentors@lists.debian.org</a>&gt;</code> a été mise en place pour les
responsables débutants recherchant de l'aide avec l'empaquetage initial et
d'autres problèmes de développeur. Chaque nouveau développeur est invité à
s'abonner à cette liste (voir <a class="xref" href="ch04.html#mailing-lists" title="4.1. Listes de diffusion">Section 4.1, « Listes de diffusion »</a> pour les
détails).
</p>
        <p>
Ceux qui préfèrent recevoir une aide plus personnalisée (par exemple, par
courrier privé) devraient également envoyer des messages à cette liste et un
développeur expérimenté se proposera de les aider.
</p>
        <p>
De plus, si vous avez des paquets prêts à être inclus dans Debian, mais que
vous attendez que votre demande pour devenir responsable soit acceptée, vous
pouvez trouver un parrain pour envoyer vos paquets pour vous. Les parrains
sont des développeurs Debian officiels qui sont volontaires pour critiquer
et envoyer vos paquets pour vous. Veuillez lire en premier la FAQ de
debian-mentors à <a class="ulink" href="https://wiki.debian.org/DebianMentorsFaq">https://wiki.debian.org/DebianMentorsFaq</a>.
</p>
        <p>
Pour devenir mentor ou parrain, plus d'informations sont disponibles en
<a class="xref" href="ch07.html#newmaint" title="7.5. Interaction avec de futurs développeurs Debian">Section 7.5, « Interaction avec de futurs développeurs Debian »</a>.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="registering"/>2.3. Enregistrement comme responsable Debian</h2>
            </div>
          </div>
        </div>
        <p>
Avant de décider de devenir responsable Debian, il vous faudra lire toute la
documentation disponible dans le <a class="ulink" href="https://www.debian.org/devel/join/newmaint">coin du nouveau
responsable</a>. Elle décrit en détail toutes les étapes préparatoires
qu'il vous faudra franchir avant de déposer votre candidature. Par exemple,
avant d'être candidat, il vous faudra lire le <a class="ulink" href="https://www.debian.org/social_contract">contrat social Debian</a>. Devenir
responsable Debian implique que vous adhériez à ce contrat social et que
vous vous engagiez à le soutenir ; il est très important que les
responsables soient en accord avec les principes fondamentaux qui animent le
projet Debian. Lire le <a class="ulink" href="https://www.gnu.org/gnu/manifesto.html">Manifeste
GNU</a> est aussi une bonne idée.
</p>
        <p>
Le processus d'enregistrement a pour but de vérifier votre identité, vos
intentions et vos compétences. Le nombre de personnes travaillant pour
Debian a atteint 1000 et notre système est
utilisé dans plusieurs endroits très importants : nous devons rester
vigilants pour éviter un acte malveillant. C'est pourquoi nous contrôlons
les nouveaux responsables avant de leur donner un compte sur nos serveurs et
de les autoriser à ajouter des paquets dans l'archive.
</p>
        <p>
Pour devenir responsable, il faudra montrer que vous pouvez faire du bon
travail et que vous serez un bon contributeur. Pour cela, vous pourrez
proposer des correctifs par le système de suivi des bogues (BTS) et
maintenir un paquet parrainé par un responsable Debian pendant un
temps. Nous attendons aussi des contributeurs qu'ils soient intéressés par
le projet dans son ensemble et pas uniquement par leurs propres paquets. Si
vous pouvez aider d'autres responsables en fournissant des informations sur
un bogue ou même avec un correctif, faites-le !
</p>
        <p>
Pour votre candidature, vous devrez être familiarisé avec la philosophie du
projet Debian et avec sa documentation technique. Il vous faudra aussi une
clé GnuPG signée par un responsable Debian. Si votre clé GnuPG n'est pas
encore signée, vous devriez essayer de rencontrer un responsable Debian pour
le faire. La <a class="ulink" href="https://wiki.debian.org/Keysigning">page de coordination des
signatures de clé GnuPG</a> devrait aider à trouver un responsable
Debian près de chez vous. (S'il n'y a pas de responsable près de chez vous,
il peut y avoir des moyens alternatifs pour valider votre identité en tant
qu'exception absolue étudiée au cas par cas. Reportez-vous à la <a class="ulink" href="https://www.debian.org/devel/join/nm-step2">page d'identification</a> pour en savoir plus.)
</p>
        <p>
Si vous n'avez pas de clé OpenPGP, créez-la. Tout responsable a besoin d'une
clé OpenPGP pour signer et vérifier les mises à jour de paquets. Vous lirez
la documentation du logiciel de cryptographie que vous utiliserez car elle
contient des informations indispensables pour la sécurité de votre clé. Les
défaillances de sécurité sont bien plus souvent dues à des erreurs humaines
qu'à des problèmes logiciels ou à des techniques d'espionnage avancées. Voir
<a class="xref" href="ch03.html#key-maint" title="3.2.2. Gestion de clé publique">Section 3.2.2, « Gestion de clé publique »</a> pour plus d'informations sur la gestion de votre
clé publique.
</p>
        <p>
Debian utilise <code class="literal">GNU Privacy Guard</code> (paquet <code class="systemitem">gnupg</code> version 1 ou supérieure) comme standard de
base. Vous pouvez aussi utiliser une autre implémentation d'OpenPGP. OpenPGP
est un standard ouvert basé sur la <a class="ulink" href="https://www.rfc-editor.org/rfc/rfc2440.txt">RFC 2440</a>.
</p>
        <p>
Vous avez besoin d'une clé en version 4 à utiliser pour le développement
Debian. <a class="ulink" href="https://lists.debian.org/20090520092534.GG22906@earth.li">La longueur
de votre clé doit être plus grande que 1024 bits</a> ; il n'y a pas de
raison d'utiliser une clé plus petite et faire cela serait bien moins
sûr.<a href="#ftn.idm46114014614368" class="footnote" id="idm46114014614368"><sup class="footnote">[1]</sup></a>
</p>
        <p>
Si votre clé publique n'est pas sur un serveur public tel que <code class="literal">subkeys.pgp.net</code>,
reportez-vous à la documentation disponible à <a class="ulink" href="https://www.debian.org/devel/join/nm-step2">Étape 2 : Vérification d'identité</a>. Cette
documentation explique comment placer votre clé publique sur un
serveur. L'équipe en charge des nouveaux responsables placera votre clé
publique sur les serveurs de clés si elle n'y est pas déjà.
</p>
        <p>
Certains pays limitent l'usage des logiciels de cryptographie. Cela ne
devrait cependant pas avoir d'impact sur l'activité d'un responsable de
paquet car il peut être tout à fait légal d'utiliser des logiciels de
cryptographie pour l'authentification plutôt que pour le chiffrement. Si
vous vivez dans un pays où l'utilisation de la cryptographie pour
authentification est interdite, contactez-nous pour que nous prenions des
dispositions particulières.
</p>
        <p>
Pour faire acte de candidature, il vous faut un responsable Debian qui
soutiendra votre candidature (un intercesseur ou
« <code class="literal">advocate</code> » en anglais). Après avoir contribué au projet
Debian pendant un temps, quand vous choisissez de devenir un responsable
Debian officiel, un responsable déjà enregistré avec qui vous aurez
travaillé dans les derniers mois devra exprimer que, d'après lui, vous
pouvez contribuer avec succès au projet Debian.
</p>
        <p>
Une fois trouvé un intercesseur, votre clé GnuPG signée et que vous avez
déjà contribué au projet, vous êtes prêt à faire acte de candidature. Il
vous suffit pour cela de vous enregistrer sur la <a class="ulink" href="https://nm.debian.org/newnm.php">page de candidature</a>. Ensuite, votre
intercesseur devra confirmer votre candidature. Quand il aura accompli cette
tâche, un responsable de candidature (« <code class="literal">application
manager</code> ») sera désigné pour vous accompagner dans le processus
d'enregistrement. Vous pouvez toujours consulter le <a class="ulink" href="https://nm.debian.org/">tableau de bord des candidatures</a> pour
connaître l'état de votre candidature.
</p>
        <p>
Pour en savoir plus, consultez le <a class="ulink" href="https://www.debian.org/devel/join/newmaint">coin des
nouveaux responsables</a> sur le site Debian. Assurez-vous de bien
connaître les étapes nécessaires au processus d'enregistrement avant de vous
porter candidat. Vous gagnerez beaucoup de temps si vous êtes bien préparé.
</p>
      </div>
      <div class="footnotes">
        <br/>
        <hr/>
        <div id="ftn.idm46114014614368" class="footnote">
          <p><a href="#idm46114014614368" class="para"><sup class="para">[1] </sup></a> Les clés en version 4 sont conformes au standard OpenPGP défini dans la
RFC 2440. La version 4 est le type de clé qui a toujours été créé avec
GnuPG. Les versions de PGP depuis la version 5.x peuvent également créer des
clés version 4, l'autre choix ayant été des clés compatibles pgp 2.6.x
(également appelées « legacy RSA » par PGP).  </p>
          <p> Les clés (primaires) en version 4 peuvent soit utiliser l'algorithme RSA,
soit l'algorithme DSA, cela n'a donc rien à voir avec la question de GnuPG à
propos de la question du type de clé que vous désirez : (1) DSA et Elgamal,
(2) DSA (signature seule), (5) RSA (signature seule). Si vous n'avez pas des
besoins spécifiques, choisissez simplement la valeur par défaut.  </p>
          <p> Le moyen le plus simple de dire si une clé existante est une clé v4 ou une
clé v3 (ou v2) est de regarder son empreinte : les empreintes des clés en
version 4 sont des sommes de contrôle SHA-1 d'une partie de la clé, il
s'agit donc d'une suite de 40 chiffres hexadécimaux, habituellement groupés
par blocs de quatre. Les empreintes des anciennes versions de clé
utilisaient MD5 et sont généralement affichées par blocs de 2 chiffres
hexadécimaux. Par exemple, si votre empreinte ressemble à
<code class="literal">5B00 C96D 5D54 AEE1 206B  AF84 DE7A AF6E 94C0 9C7F</code> alors
il s'agit d'une clé v4.  </p>
          <p> Une autre possibilité est d'envoyer la clé dans <span class="command"><strong>pgpdump</strong></span>,
qui dira quelque chose comme « Public Key Packet - Ver 4 ».  </p>
          <p> Remarquez également que votre clé doit être auto-signée (c'est-à-dire
qu'elle doit signer tous ses propres identifiants d'utilisateur ; cela
empêche la falsification d'identité). Tous les logiciels OpenPGP modernes
font cela automatiquement, mais si vous avez une ancienne clé, il se peut
que vous deviez ajouter manuellement ces signatures.  </p>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="ch01.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="ch03.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 1. Portée de ce document </td>
          <td align="center">
            <a accesskey="h" href="index.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Chapitre 3. Devoirs du développeur Debian</td>
        </tr>
      </table>
    </div>
  </body>
</html>
